lxy 1 year ago
parent
commit
e7b984f648

+ 19 - 19
Example/LenzCameraNativeModuleForRN.xcodeproj/project.pbxproj

@@ -185,7 +185,7 @@
 				6003F586195388D20070C39A /* Sources */,
 				6003F587195388D20070C39A /* Frameworks */,
 				6003F588195388D20070C39A /* Resources */,
-				1EA4837B23BAABE097289194 /* [CP] Copy Pods Resources */,
+				7E53B9E692D7CB6B72DEB1C8 /* [CP] Copy Pods Resources */,
 			);
 			buildRules = (
 			);
@@ -275,46 +275,46 @@
 /* End PBXResourcesBuildPhase section */
 
 /* Begin PBXShellScriptBuildPhase section */
-		1EA4837B23BAABE097289194 /* [CP] Copy Pods Resources */ = {
+		5B9FA0E9EA611FEF0331A130 /* [CP] Check Pods Manifest.lock */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
 			);
+			inputFileListPaths = (
+			);
 			inputPaths = (
-				"${PODS_ROOT}/Target Support Files/Pods-LenzCameraNativeModuleForRN_Example/Pods-LenzCameraNativeModuleForRN_Example-resources.sh",
-				"${PODS_CONFIGURATION_BUILD_DIR}/LenzSDK/LenzCameraNativeModuleForRN.bundle",
-				"${PODS_ROOT}/SVProgressHUD/SVProgressHUD/SVProgressHUD.bundle",
+				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
+				"${PODS_ROOT}/Manifest.lock",
+			);
+			name = "[CP] Check Pods Manifest.lock";
+			outputFileListPaths = (
 			);
-			name = "[CP] Copy Pods Resources";
 			outputPaths = (
-				"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/LenzCameraNativeModuleForRN.bundle",
-				"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/SVProgressHUD.bundle",
+				"$(DERIVED_FILE_DIR)/Pods-LenzCameraNativeModuleForRN_Example-checkManifestLockResult.txt",
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-LenzCameraNativeModuleForRN_Example/Pods-LenzCameraNativeModuleForRN_Example-resources.sh\"\n";
+			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
 			showEnvVarsInLog = 0;
 		};
-		5B9FA0E9EA611FEF0331A130 /* [CP] Check Pods Manifest.lock */ = {
+		7E53B9E692D7CB6B72DEB1C8 /* [CP] Copy Pods Resources */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
 			);
-			inputFileListPaths = (
-			);
 			inputPaths = (
-				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
-				"${PODS_ROOT}/Manifest.lock",
-			);
-			name = "[CP] Check Pods Manifest.lock";
-			outputFileListPaths = (
+				"${PODS_ROOT}/Target Support Files/Pods-LenzCameraNativeModuleForRN_Example/Pods-LenzCameraNativeModuleForRN_Example-resources.sh",
+				"${PODS_CONFIGURATION_BUILD_DIR}/LenzSDK/LenzCameraNativeModuleForRN.bundle",
+				"${PODS_ROOT}/SVProgressHUD/SVProgressHUD/SVProgressHUD.bundle",
 			);
+			name = "[CP] Copy Pods Resources";
 			outputPaths = (
-				"$(DERIVED_FILE_DIR)/Pods-LenzCameraNativeModuleForRN_Example-checkManifestLockResult.txt",
+				"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/LenzCameraNativeModuleForRN.bundle",
+				"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/SVProgressHUD.bundle",
 			);
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
+			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-LenzCameraNativeModuleForRN_Example/Pods-LenzCameraNativeModuleForRN_Example-resources.sh\"\n";
 			showEnvVarsInLog = 0;
 		};
 /* End PBXShellScriptBuildPhase section */

+ 8 - 0
Example/LenzCameraNativeModuleForRN/LenzCameraNativeModuleForRN-Info.plist

@@ -24,6 +24,14 @@
 	<string>1.0</string>
 	<key>LSRequiresIPhoneOS</key>
 	<true/>
+	<key>NSCameraUsageDescription</key>
+	<string>相机权限</string>
+	<key>NSMicrophoneUsageDescription</key>
+	<string>相机权限</string>
+	<key>NSPhotoLibraryAddUsageDescription</key>
+	<string>相机权限</string>
+	<key>NSPhotoLibraryUsageDescription</key>
+	<string>相机权限</string>
 	<key>UILaunchStoryboardName</key>
 	<string>LaunchScreen</string>
 	<key>UIRequiredDeviceCapabilities</key>

+ 1 - 0
Example/Pods/Headers/Private/LenzSDK/Common.h

@@ -0,0 +1 @@
+../../../LenzSDK/LenzCameraNativeModuleForRN/Classes/inner/Renderer/Shaders/Common.h

+ 0 - 1
Example/Pods/Headers/Private/LenzSDK/LenzCommon.h

@@ -1 +0,0 @@
-../../../LenzSDK/LenzCameraNativeModuleForRN/Classes/inner/Renderer/Shaders/LenzCommon.h

+ 1 - 1
Example/Pods/LenzSDK/LenzCameraNativeModuleForRN/Classes/inner/Renderer/CameraTextureRenderPass.m

@@ -8,7 +8,7 @@
 #import "CameraTextureRenderPass.h"
 #import <MetalKit/MetalKit.h>
 #import "Renderer.h"
-#import "LenzCommon.h"
+#import "Common.h"
 #import "TensorFlowWrapper.h"
 #import "PCSTools.h"
 

+ 0 - 0
Example/Pods/LenzSDK/LenzCameraNativeModuleForRN/Classes/inner/Renderer/Shaders/LenzCommon.h → Example/Pods/LenzSDK/LenzCameraNativeModuleForRN/Classes/inner/Renderer/Shaders/Common.h


+ 1 - 1
Example/Pods/LenzSDK/LenzCameraNativeModuleForRN/Classes/inner/Renderer/Shaders/Shaders.metal

@@ -5,7 +5,7 @@
 //  Created by 王昭威 on 2023/1/26.
 //
 
-#import "LenzCommon.h"
+#include "Common.h"
 #include <metal_stdlib>
 
 using namespace metal;

File diff suppressed because it is too large
+ 401 - 414
Example/Pods/Pods.xcodeproj/project.pbxproj


+ 0 - 31
Example/Pods/Target Support Files/Masonry/Masonry-umbrella.h

@@ -1,31 +0,0 @@
-#ifdef __OBJC__
-#import <UIKit/UIKit.h>
-#else
-#ifndef FOUNDATION_EXPORT
-#if defined(__cplusplus)
-#define FOUNDATION_EXPORT extern "C"
-#else
-#define FOUNDATION_EXPORT extern
-#endif
-#endif
-#endif
-
-#import "MASCompositeConstraint.h"
-#import "MASConstraint+Private.h"
-#import "MASConstraint.h"
-#import "MASConstraintMaker.h"
-#import "MASLayoutConstraint.h"
-#import "Masonry.h"
-#import "MASUtilities.h"
-#import "MASViewAttribute.h"
-#import "MASViewConstraint.h"
-#import "NSArray+MASAdditions.h"
-#import "NSArray+MASShorthandAdditions.h"
-#import "NSLayoutConstraint+MASDebugAdditions.h"
-#import "View+MASAdditions.h"
-#import "View+MASShorthandAdditions.h"
-#import "ViewController+MASAdditions.h"
-
-FOUNDATION_EXPORT double MasonryVersionNumber;
-FOUNDATION_EXPORT const unsigned char MasonryVersionString[];
-

+ 0 - 6
Example/Pods/Target Support Files/Masonry/Masonry.modulemap

@@ -1,6 +0,0 @@
-module Masonry {
-  umbrella header "Masonry-umbrella.h"
-
-  export *
-  module * { export * }
-}

+ 1 - 1
LenzSDK.podspec

@@ -8,7 +8,7 @@
 
 Pod::Spec.new do |s|
   s.name             = 'LenzSDK'
-  s.version          = '1.0.0'
+  s.version          = '1.0.3'
   s.summary          = 'A short description of LenzSDK.'
 
 # This description is used to generate tags and improve search results.

BIN
LenzTensorFlowSDK.framework/LenzTensorFlowSDK


BIN
LenzTensorFlowSDK.framework/_CodeSignature/CodeDirectory


BIN
LenzTensorFlowSDK.framework/_CodeSignature/CodeRequirements-1


BIN
LenzTensorFlowSDK.framework/_CodeSignature/CodeSignature


Some files were not shown because too many files changed in this diff